<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>MatrixFunction (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MatrixFunction (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/MatrixFunction.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Match.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.MutableValueCollector.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/MatrixFunction.html"
               target="_top">Frames</a></li>
        <li><a href="MatrixFunction.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.functions</div>
    <h2 title="Class MatrixFunction" class="title">Class MatrixFunction</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.formula.functions.MatrixFunction</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                           title="interface in org.apache.poi.ss.formula.functions">Function</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">MatrixFunction</span>
extends java.lang.Object
implements <a href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
              title="interface in org.apache.poi.ss.formula.functions">Function</a></pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Robert Hulbert</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.MutableValueCollector.html"
                                        title="class in org.apache.poi.ss.formula.functions">MatrixFunction.MutableValueCollector</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.OneArrayArg.html"
                                        title="class in org.apache.poi.ss.formula.functions">MatrixFunction.OneArrayArg</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.TwoArrayArg.html"
                                        title="class in org.apache.poi.ss.formula.functions">MatrixFunction.TwoArrayArg</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                        title="interface in org.apache.poi.ss.formula.functions">Function</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.html#MDETERM">MDETERM</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                        title="interface in org.apache.poi.ss.formula.functions">Function</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.html#MINVERSE">MINVERSE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                        title="interface in org.apache.poi.ss.formula.functions">Function</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.html#MMULT">MMULT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                        title="interface in org.apache.poi.ss.formula.functions">Function</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.html#TRANSPOSE">TRANSPOSE</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.html#MatrixFunction--">MatrixFunction</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.html#checkValues-double:A-">checkValues</a></span>(double[]&nbsp;results)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.html#singleOperandEvaluate-org.apache.poi.ss.formula.eval.ValueEval-int-int-">singleOperandEvaluate</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg,
                                    int&nbsp;srcCellRow,
                                    int&nbsp;srcCellCol)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.functions.Function">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.formula.functions.<a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                        title="interface in org.apache.poi.ss.formula.functions">Function</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">evaluate</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="MINVERSE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MINVERSE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                        title="interface in org.apache.poi.ss.formula.functions">Function</a> MINVERSE</pre>
                            </li>
                        </ul>
                        <a name="TRANSPOSE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TRANSPOSE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                        title="interface in org.apache.poi.ss.formula.functions">Function</a> TRANSPOSE</pre>
                            </li>
                        </ul>
                        <a name="MDETERM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MDETERM</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                        title="interface in org.apache.poi.ss.formula.functions">Function</a> MDETERM</pre>
                            </li>
                        </ul>
                        <a name="MMULT">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>MMULT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                        title="interface in org.apache.poi.ss.formula.functions">Function</a> MMULT</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="MatrixFunction--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>MatrixFunction</h4>
                                <pre>public&nbsp;MatrixFunction()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="checkValues-double:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>checkValues</h4>
                                <pre>public static&nbsp;void&nbsp;checkValues(double[]&nbsp;results)
                        throws <a href="../../../../../../org/apache/poi/ss/formula/eval/EvaluationException.html"
                                  title="class in org.apache.poi.ss.formula.eval">EvaluationException</a></pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/EvaluationException.html"
                                            title="class in org.apache.poi.ss.formula.eval">EvaluationException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="singleOperandEvaluate-org.apache.poi.ss.formula.eval.ValueEval-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>singleOperandEvaluate</h4>
                                <pre>protected final&nbsp;double&nbsp;singleOperandEvaluate(<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;arg,
                                             int&nbsp;srcCellRow,
                                             int&nbsp;srcCellCol)
                                      throws <a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/EvaluationException.html"
                                            title="class in org.apache.poi.ss.formula.eval">EvaluationException</a></pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/EvaluationException.html"
                                            title="class in org.apache.poi.ss.formula.eval">EvaluationException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/MatrixFunction.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Match.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.MutableValueCollector.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/MatrixFunction.html"
               target="_top">Frames</a></li>
        <li><a href="MatrixFunction.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
